diff --git a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/enet_board_j7xevm.c b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/enet_board_j7xevm.c
index 8b9a016..580995e 100644
--- a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/enet_board_j7xevm.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/enet_board_j7xevm.c
@@ -133,8 +133,6 @@ static void EnetBoard_configSierra1Clks(void);
 static void EnetBoard_disableSierra1Clks(void);
 #endif
 
-static void EnetBoard_configTorrentClks(void);
-
 static void EnetBoard_disableTorrentClks(void);
 #endif
 
@@ -231,7 +229,7 @@ static const EnetBoard_PortCfg gEnetGesiBoard_j721eEthPort[] =
         .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_REDUCED },
         .phyCfg   =
         {
-            .phyAddr         = 12U,
+            .phyAddr         = 0U,
             .isStrapped      = false,
             .skipExtendedCfg = false,
             .extendedCfg     = &gEnetGesiBoard_dp83867PhyCfg,
@@ -239,73 +237,78 @@ static const EnetBoard_PortCfg gEnetGesiBoard_j721eEthPort[] =
         },
         .flags    = ENET_BOARD_J7XEVM_CPSW9G_MDIO_MUX,
     },
-    {    /* "PRG1_RGMII2_T" */
+    {   
         .enetType = ENET_CPSW_9G,
         .instId   = 0U,
-        .macPort  = ENET_MAC_PORT_8,
+        .macPort  = ENET_MAC_PORT_3,
         .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_REDUCED },
         .phyCfg   =
         {
-            .phyAddr         = 15U,
+            .phyAddr         = 4U,
             .isStrapped      = false,
             .skipExtendedCfg = false,
-            .extendedCfg     = &gEnetGesiBoard_dp83867PhyCfg,
-            .extendedCfgSize = sizeof(gEnetGesiBoard_dp83867PhyCfg),
+            .extendedCfg     = NULL,
+            .extendedCfgSize = 0,
         },
-        .flags    = ENET_BOARD_J7XEVM_CPSW9G_MDIO_MUX,
+        .flags    = (ENET_BOARD_J7XEVM_QPENET_INIT |
+                     ENET_BOARD_J7XEVM_SERDES_SIERRA0_CLKS),
     },
-    {   /* "PRG0_RGMII1_B" */
+    {   /* "RGMII4" */
         .enetType = ENET_CPSW_9G,
         .instId   = 0U,
-        .macPort  = ENET_MAC_PORT_3,
+        .macPort  = ENET_MAC_PORT_4,
         .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_REDUCED },
         .phyCfg   =
         {
-            .phyAddr         = 0U,
+            .phyAddr         = 5U,
             .isStrapped      = false,
             .skipExtendedCfg = false,
-            .extendedCfg     = &gEnetGesiBoard_dp83867PhyCfg,
-            .extendedCfgSize = sizeof(gEnetGesiBoard_dp83867PhyCfg),
+            .extendedCfg     = NULL,
+            .extendedCfgSize = 0U,
         },
-        .flags    = ENET_BOARD_J7XEVM_CPSW9G_MDIO_MUX,
+        .flags    = (ENET_BOARD_J7XEVM_QPENET_INIT |
+                     ENET_BOARD_J7XEVM_SERDES_SIERRA0_CLKS),
     },
-    {   /* "PRG0_RGMII02_T" */
+    {   /* "RGMII5" */
         .enetType = ENET_CPSW_9G,
         .instId   = 0U,
-        .macPort  = ENET_MAC_PORT_4,
+        .macPort  = ENET_MAC_PORT_5,
         .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_REDUCED },
         .phyCfg   =
         {
-            .phyAddr         = 3U,
+            .phyAddr         = ENETPHY_INVALID_PHYADDR,
             .isStrapped      = false,
             .skipExtendedCfg = false,
-            .extendedCfg     = &gEnetGesiBoard_dp83867PhyCfg,
-            .extendedCfgSize = sizeof(gEnetGesiBoard_dp83867PhyCfg),
+            .extendedCfg     = NULL,
+            .extendedCfgSize = 0U,
         },
-        .flags    = ENET_BOARD_J7XEVM_CPSW9G_MDIO_MUX,
+        .flags    = (ENET_BOARD_J7XEVM_QPENET_INIT |
+                     ENET_BOARD_J7XEVM_SERDES_SIERRA0_CLKS),
     },
-    {    /* "RMII8" */
+    {    /* "SGMII8" */
         .enetType = ENET_CPSW_9G,
         .instId   = 0U,
         .macPort  = ENET_MAC_PORT_8,
-        .mii      = { ENET_MAC_LAYER_MII, ENET_MAC_SUBLAYER_REDUCED },
+        .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_SERIAL },
         .phyCfg   =
         {
-            .phyAddr         = 23U,
+            .phyAddr         = 3U,
             .isStrapped      = false,
             .skipExtendedCfg = false,
             .extendedCfg     = NULL,
             .extendedCfgSize = 0U,
         },
-        .flags    = (ENET_BOARD_J7XEVM_CPSW9G_MDIO_MUX |
-                     ENET_BOARD_J7XEVM_GESI_RMII_MUX),
+        .flags    = (ENET_BOARD_J7XEVM_QPENET_INIT |
+                     ENET_BOARD_J7XEVM_SERDES_SIERRA0_CLKS |
+                     ENET_BOARD_J7XEVM_SERDES_SIERRA1_CLKS |
+                     ENET_BOARD_J7XEVM_SERDES_TORRENT_CLKS),
     },
 };
 
 /*
  * J721E GESI board configuration for ICSSG.
  *
- * 4 x RGMII PHYs and 1 x RMII are connected to J721E ICCSG MAC ports.
+ * 4 x RGMII PHYs and 1 x RMII are connected to J721E IgRgmii4PinCfgG MAC ports.
  */
 static const EnetBoard_PortCfg gEnetGesiBoard_j721eIcssgEthPort[] =
 {
@@ -316,7 +319,7 @@ static const EnetBoard_PortCfg gEnetGesiBoard_j721eIcssgEthPort[] =
         .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_REDUCED },
         .phyCfg   =
         {
-            .phyAddr         = 12U,
+            .phyAddr         = 4U,
             .isStrapped      = true,
             .skipExtendedCfg = false,
             .extendedCfg     = &gEnetGesiBoard_dp83867PhyCfg,
@@ -331,7 +334,7 @@ static const EnetBoard_PortCfg gEnetGesiBoard_j721eIcssgEthPort[] =
         .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_REDUCED },
         .phyCfg   =
         {
-            .phyAddr         = 15U,
+            .phyAddr         = 5U,
             .isStrapped      = false,
             .skipExtendedCfg = false,
             .extendedCfg     = &gEnetGesiBoard_dp83867PhyCfg,
@@ -346,7 +349,7 @@ static const EnetBoard_PortCfg gEnetGesiBoard_j721eIcssgEthPort[] =
         .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_REDUCED },
         .phyCfg   =
         {
-            .phyAddr         = 0U,
+            .phyAddr         = 6U,
             .isStrapped      = false,
             .skipExtendedCfg = false,
             .extendedCfg     = &gEnetGesiBoard_dp83867PhyCfg,
@@ -361,7 +364,7 @@ static const EnetBoard_PortCfg gEnetGesiBoard_j721eIcssgEthPort[] =
         .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_REDUCED },
         .phyCfg   =
         {
-            .phyAddr         = 3U,
+            .phyAddr         = 7U,
             .isStrapped      = false,
             .skipExtendedCfg = false,
             .extendedCfg     = &gEnetGesiBoard_dp83867PhyCfg,
@@ -385,7 +388,7 @@ static const EnetBoard_PortCfg gEnetQpENetBoard_j721eEthPort[] =
         .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_QUAD_SERIAL_MAIN },
         .phyCfg   =
         {
-            .phyAddr         = 16U,
+            .phyAddr         = 8U,
             .isStrapped      = false,
             .skipExtendedCfg = false,
             .extendedCfg     = NULL,
@@ -403,7 +406,7 @@ static const EnetBoard_PortCfg gEnetQpENetBoard_j721eEthPort[] =
         .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_QUAD_SERIAL_SUB },
         .phyCfg   =
         {
-            .phyAddr         = 17U,
+            .phyAddr         = 9U,
             .isStrapped      = false,
             .skipExtendedCfg = false,
             .extendedCfg     = NULL,
@@ -421,7 +424,7 @@ static const EnetBoard_PortCfg gEnetQpENetBoard_j721eEthPort[] =
         .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_QUAD_SERIAL_SUB },
         .phyCfg   =
         {
-            .phyAddr         = 18U,
+            .phyAddr         = 10U,
             .isStrapped      = false,
             .skipExtendedCfg = false,
             .extendedCfg     = NULL,
@@ -439,7 +442,7 @@ static const EnetBoard_PortCfg gEnetQpENetBoard_j721eEthPort[] =
         .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_QUAD_SERIAL_SUB },
         .phyCfg   =
         {
-            .phyAddr         = 19U,
+            .phyAddr         = 11U,
             .isStrapped      = false,
             .skipExtendedCfg = false,
             .extendedCfg     = NULL,
@@ -462,11 +465,11 @@ static const EnetBoard_PortCfg gEnetSgmiiBoard_j721eEthPort[] =
     {
         .enetType = ENET_CPSW_9G,
         .instId   = 0U,
-        .macPort  = ENET_MAC_PORT_2,
+        .macPort  = ENET_MAC_PORT_8,
         .mii      = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_SERIAL },
         .phyCfg   =
         {
-            .phyAddr         = 10U,
+            .phyAddr         = 3U,
             .isStrapped      = false,
             .skipExtendedCfg = false,
             .extendedCfg     = NULL,
@@ -907,6 +910,8 @@ void EnetBoard_deinit(void)
     EnetAppUtils_assert(boardStatus == BOARD_SOK);
 }
 
+extern void EnetBoard_configTorrentClks(void);
+
 int32_t EnetBoard_setupPorts(EnetBoard_EthPort *ethPorts,
                              uint32_t numEthPorts)
 {
@@ -1029,62 +1034,58 @@ int32_t EnetBoard_setupPorts(EnetBoard_EthPort *ethPorts,
         EnetBoard_enetExpCfg();
     }
 
-    /* Config SerDes if not already configured by bootloader */
-    if (Board_serdesCfgStatus() == FALSE)
+    /* SERDES Sierra 0 clocks setup */
+    if (ENET_NOT_ZERO(flags & ENET_BOARD_J7XEVM_SERDES_SIERRA0_CLKS))
     {
-        /* SERDES Sierra 0 clocks setup */
-        if (ENET_NOT_ZERO(flags & ENET_BOARD_J7XEVM_SERDES_SIERRA0_CLKS))
-        {
 #if defined (SOC_J721E) && defined(BUILD_MCU2_0)
-            EnetBoard_configSierra0Clks();
+        EnetBoard_configSierra0Clks();
 #else
-            EnetAppUtils_print("EnetBoard_setupPorts: SERDES Sierra0 is not present in this SoC\n");
-            status = ENET_EFAIL;
+        EnetAppUtils_print("EnetBoard_setupPorts: SERDES Sierra0 is not present in this SoC\n");
+        status = ENET_EFAIL;
 #endif
-        }
+    }
 
-        /* SERDES Sierra 1 clocks setup */
-        if (ENET_NOT_ZERO(flags & ENET_BOARD_J7XEVM_SERDES_SIERRA1_CLKS))
-        {
+    /* SERDES Sierra 1 clocks setup */
+    if (ENET_NOT_ZERO(flags & ENET_BOARD_J7XEVM_SERDES_SIERRA1_CLKS))
+    {
 #if defined (SOC_J721E) && defined(BUILD_MCU2_0)
-            EnetBoard_configSierra1Clks();
+        EnetBoard_configSierra1Clks();
 #else
-            EnetAppUtils_print("EnetBoard_setupPorts: SERDES Sierra1 is not present in this SoC\n");
-            status = ENET_EFAIL;
+        EnetAppUtils_print("EnetBoard_setupPorts: SERDES Sierra1 is not present in this SoC\n");
+        status = ENET_EFAIL;
 #endif
-        }
+    }
 
-        /* SERDES Torrent clocks setup */
-        if (ENET_NOT_ZERO(flags & ENET_BOARD_J7XEVM_SERDES_TORRENT_CLKS))
-        {
+    /* SERDES Torrent clocks setup */
+    if (ENET_NOT_ZERO(flags & ENET_BOARD_J7XEVM_SERDES_TORRENT_CLKS))
+    {
 #if defined(BUILD_MCU2_0)
-            EnetBoard_configTorrentClks();
+        EnetBoard_configTorrentClks();
 #endif
-        }
+    }
 
-        /* SERDES configuration */
-        if (ENET_NOT_ZERO(flags & ENET_BOARD_J7XEVM_SERDES_SIERRA0_CLKS) ||
-            ENET_NOT_ZERO(flags & ENET_BOARD_J7XEVM_SERDES_SIERRA1_CLKS) ||
-            ENET_NOT_ZERO(flags & ENET_BOARD_J7XEVM_SERDES_TORRENT_CLKS))
-        {
+    /* SERDES configuration */
+    if (ENET_NOT_ZERO(flags & ENET_BOARD_J7XEVM_SERDES_SIERRA0_CLKS) ||
+        ENET_NOT_ZERO(flags & ENET_BOARD_J7XEVM_SERDES_SIERRA1_CLKS) ||
+        ENET_NOT_ZERO(flags & ENET_BOARD_J7XEVM_SERDES_TORRENT_CLKS))
+    {
 #if defined(BUILD_MCU2_0)
-            if (enetCard == BOARD_ENET_QSGMII)
-            {
-                status = Board_serdesCfgQsgmii();
-            }
-            else if (enetCard == BOARD_ENET_SGMII)
-            {
-                status = Board_serdesCfgSgmii();
-            }
-            else
-            {
-                status = ENET_EFAIL;
-            }
-#else
-            EnetAppUtils_print("EnetBoard_setupPorts: QpENet/SGMII not supported on current core\n");
+        if (enetCard == BOARD_ENET_QSGMII)
+        {
+            status = Board_serdesCfgQsgmii();
+        }
+        else if (enetCard == BOARD_ENET_SGMII)
+        {
+            status = Board_serdesCfgSgmii();
+        }
+        else
+        {
             status = ENET_EFAIL;
-#endif
         }
+#else
+        EnetAppUtils_print("EnetBoard_setupPorts: QpENet/SGMII not supported on current core\n");
+        status = ENET_EFAIL;
+#endif
     }
 
     return status;
@@ -1143,7 +1144,7 @@ static void EnetBoard_disableSierra1Clks(void)
 }
 #endif
 
-static void EnetBoard_configTorrentClks(void)
+void EnetBoard_configTorrentClks(void)
 {
     uint32_t moduleId, clkId, clkRateHz;
 
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/include/enet_apputils.h b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/include/enet_apputils.h
index b4cf1a0..e2d07f2 100644
--- a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/include/enet_apputils.h
+++ b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/include/enet_apputils.h
@@ -111,7 +111,10 @@ extern "C" {
 #if defined(SOC_J7200)
 #define ENET_UTILS_MCU2_0_UART_INSTANCE     (3U)
 #else
-#define ENET_UTILS_MCU2_0_UART_INSTANCE     (2U)
+///////////////////////////lyl/////////////////////////////
+#define ENET_UTILS_MCU2_0_UART_INSTANCE     (1U)
+///////////////////////////lyl1215/////////////////////////////
+#define ENET_UTILS_MCU2_1_UART_INSTANCE     (1U)
 #endif
 
 #if defined(__KLOCWORK__)
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/include/phy/enetphy.h b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/include/phy/enetphy.h
index 72f3d96..9b8f137 100644
--- a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/include/phy/enetphy.h
+++ b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/include/phy/enetphy.h
@@ -631,6 +631,9 @@ typedef struct EnetPhy_Obj_s
 
     /*! Caller-provided arguments to be used in MDIO driver calls */
     void *mdioArgs;
+
+    /*! TRUE: mastermode, FALSE: slavemode. */
+    bool isMaster;
 } EnetPhy_Obj;
 
 /*!
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/priv/per/cpsw_priv.h b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/priv/per/cpsw_priv.h
index caeebe6..3fe2140 100644
--- a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/priv/per/cpsw_priv.h
+++ b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/priv/per/cpsw_priv.h
@@ -68,7 +68,8 @@ extern "C" {
 
 /*! \brief InterVLAN feature mask. */
 #define CPSW_FEATURE_INTERVLAN                (ENET_BIT(1U))
-
+/* 1105用,暂用2口 */ 
+#define CPSW_1105_SW_PHY_NUM  2
 /* ========================================================================== */
 /*                         Structures and Enums                               */
 /* ========================================================================== */
@@ -209,6 +210,9 @@ typedef struct Cpsw_Obj_s
 
     /*! Maximum of MTUs for TX Priority 0 to 7 */
     uint32_t maxPerPrioMtu;
+    /* 1105用, 目前只有一个，暂时不考虑扩展 */ 
+    uint32_t switchPhyNum;
+    EnetPhy_Handle switchPhyList[CPSW_1105_SW_PHY_NUM];
 } Cpsw_Obj;
 
 /*!
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/soc/j7x/j721e/enet_soc.c b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/soc/j7x/j721e/enet_soc.c
index a5e956f..7de1087 100644
--- a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/soc/j7x/j721e/enet_soc.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/soc/j7x/j721e/enet_soc.c
@@ -670,6 +670,10 @@ Cpsw_Obj gEnetSoc_cpsw9g =
             .close      = &EnetRm_close,
         },
     },
+    /* ???1105 phylist?? */
+    .switchPhyNum = 0,
+    .switchPhyList[0] = NULL,
+    .switchPhyList[1] = NULL,
 };
 
 /* --------------------------------- ICSS-G --------------------------------- */
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/per/cpsw.c b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/per/cpsw.c
index 863d88c..5aacb16 100644
--- a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/per/cpsw.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/per/cpsw.c
@@ -143,6 +143,13 @@ static int32_t Cpsw_openPortLinkNoPhy(Cpsw_Handle hCpsw,
                                       const EnetMacPort_Interface *mii,
                                       const EnetMacPort_LinkCfg *linkCfg);
 
+static int32_t Cpsw_openPhyWith1105(Cpsw_Handle hCpsw,
+                                        Enet_MacPort macPort,
+                                        const CpswMacPort_Cfg *macCfg,
+                                        EnetPhy_Cfg *phyCfg,
+                                        const EnetMacPort_Interface *mii,
+                                        const EnetMacPort_LinkCfg *linkCfg);
+
 static int32_t Cpsw_openPortLink(Cpsw_Handle hCpsw,
                                  Enet_MacPort macPort,
                                  const CpswMacPort_Cfg *macCfg,
@@ -631,6 +638,51 @@ void Cpsw_poll(EnetPer_Handle hPer,
     ENETTRACE_WARN("Poll feature is not supported by CPSW Per\n");
 }
 
+static EnetPhy_LinkStatus Cpsw_1105switchTick(Cpsw_Handle hCpsw) 
+{
+
+    uint32_t sja1105PhyNum = 0;
+    uint32_t i;
+
+    uint32_t linkStatusCount[4] = {0,};
+    EnetPhy_LinkStatus curStatus = ENETPHY_LINK_DOWN;
+
+    EnetPhy_LinkStatus retStatus = ENETPHY_LINK_DOWN;
+    if (hCpsw == NULL || hCpsw->switchPhyList[0]== NULL || hCpsw->switchPhyList[1] == NULL )
+    {
+        ENETTRACE_ERR("====ETHDBG====[Cpsw_1105switchTick] NULL pointers!!! \n");
+        return retStatus;
+    } 
+
+    sja1105PhyNum = hCpsw->switchPhyNum;
+
+    for (i = 0; i < sja1105PhyNum; i++)
+    {
+        curStatus = EnetPhy_tick(hCpsw->switchPhyList[i]);
+        linkStatusCount[curStatus]++;
+    }
+    /*  1) 存在LOST_LINK, 
+            1.1) 如果存在UP或GOT，说明其他端口要求打开，不操作
+            1.2) 如果不存在UP或GOT，返回LOST
+        2) 存在GOT_LINK,
+            2.1) 如果存在UP或LOST，说明之前已经打开，不需要操作
+            2.2) 如果不存在UP或LOST，即全为DOWN，返回GOT
+        3) 其他情况，不操作 */
+    if ((linkStatusCount[ENETPHY_LOST_LINK] > 0) &&
+        (linkStatusCount[ENETPHY_LINK_UP] == 0) &&
+        (linkStatusCount[ENETPHY_GOT_LINK] == 0))
+    {
+        retStatus = ENETPHY_LOST_LINK;
+    } 
+    else if ((linkStatusCount[ENETPHY_GOT_LINK] > 0) &&
+        (linkStatusCount[ENETPHY_LINK_UP] == 0) &&
+        (linkStatusCount[ENETPHY_LOST_LINK] == 0))
+    {
+        retStatus = ENETPHY_GOT_LINK;
+    } 
+
+    return retStatus;
+}
 void Cpsw_periodicTick(EnetPer_Handle hPer)
 {
     Cpsw_Handle hCpsw = (Cpsw_Handle)hPer;
@@ -717,6 +769,13 @@ void Cpsw_periodicTick(EnetPer_Handle hPer)
             }
             else if (EnetMod_isOpen(hCpsw->hMacPort[i]))
             {
+                /* port5外接switch特殊处理, MAC已经配好了，这里只检查phy是否link */
+                if (macPort == ENET_MAC_PORT_5)
+                {
+                    linkStatus = Cpsw_1105switchTick(hCpsw);
+                    ENETTRACE_DBG("====ETHDBG====[Cpsw_1105switchTick]: 1105 phy link: macPort=%d linkStatus=%d\n", 
+                        macPort, linkStatus);
+                }
                 /* If port is in NOPHY mode, invoke the portLinkUp Cb */
                 portLinkState->isLinkUp      = true;
                 portLinkState->isTickEnabled = false;
@@ -1790,6 +1849,46 @@ static int32_t Cpsw_openPortLinkNoPhy(Cpsw_Handle hCpsw,
     return status;
 }
 
+static int32_t Cpsw_openPhyWith1105(Cpsw_Handle hCpsw,
+                                        Enet_MacPort macPort,
+                                        const CpswMacPort_Cfg *macCfg,
+                                        EnetPhy_Cfg *phyCfg,
+                                        const EnetMacPort_Interface *mii,
+                                        const EnetMacPort_LinkCfg *linkCfg)
+{
+    EnetPer_Handle hPer = (EnetPer_Handle)hCpsw;
+    EnetPhy_MdioHandle hPhyMdio = EnetPhyMdioDflt_getPhyMdio();
+    EnetPhy_Mii phyMii;
+    EnetPhy_LinkCfg phyLinkCfg;
+    uint32_t macPortCaps;
+    int32_t status = ENET_SOK;
+    const int32_t swPhyAddrList[CPSW_1105_SW_PHY_NUM] = {0,1}; 
+    uint32_t i = 0;
+
+    /* Open PHY */
+    /* Convert MII and link configuration from Enet to ENETPHY types */
+    phyMii = EnetUtils_macToPhyMii(mii);
+    phyLinkCfg.speed = (EnetPhy_Speed)linkCfg->speed;
+    phyLinkCfg.duplexity = (EnetPhy_Duplexity)linkCfg->duplexity;
+
+    /* Get MAC port capabilities from SoC standpoint */
+    macPortCaps = EnetSoc_getMacPortCaps(hPer->enetType, hPer->instId, macPort);
+    hCpsw->switchPhyNum = CPSW_1105_SW_PHY_NUM;
+    for ( i = 0; i < CPSW_1105_SW_PHY_NUM; i++)
+    {
+        phyCfg->phyAddr = swPhyAddrList[i];
+        hCpsw->switchPhyList[i] = EnetPhy_open(phyCfg, phyMii, &phyLinkCfg, macPortCaps, hPhyMdio, hCpsw->hMdio);
+        if (hCpsw->switchPhyList[i] == NULL)
+        {
+            ENETTRACE_ERR("phy %u: Failed to open PHY\n", phyCfg->phyAddr);
+            status = ENET_EFAIL;
+            break; 
+        }
+    }
+
+    return status;
+}
+
 static int32_t Cpsw_openPortLink(Cpsw_Handle hCpsw,
                                  Enet_MacPort macPort,
                                  const CpswMacPort_Cfg *macCfg,
@@ -1806,7 +1905,7 @@ static int32_t Cpsw_openPortLink(Cpsw_Handle hCpsw,
     uint32_t pollEnMask = hCpsw->mdioLinkIntCtx.pollEnableMask;
     uint32_t phyAddr = phyCfg->phyAddr;
     int32_t status = ENET_SOK;
-
+    EnetPhy_Cfg switchPhyCfg = {0};
     ENETTRACE_VAR(portId);
     if ((portNum >= EnetSoc_getMacPortMax(hPer->enetType, hPer->instId)) ||
         EnetMod_isOpen(hMacPort) ||
@@ -1845,6 +1944,14 @@ static int32_t Cpsw_openPortLink(Cpsw_Handle hCpsw,
         if (phyAddr == ENETPHY_INVALID_PHYADDR)
         {
             status = Cpsw_openPortLinkNoPhy(hCpsw, macPort, macCfg, mii, linkCfg);
+            //config RGMII5 phys list
+            if (macPort == ENET_MAC_PORT_5)
+            {
+                switchPhyCfg = *phyCfg;
+                status = Cpsw_openPhyWith1105(hCpsw, macPort, macCfg, &switchPhyCfg, mii, linkCfg);
+                ENETTRACE_DBG("=====ETHDBG=====Cpsw_openPhyWith1105: macPort=%u, status=%d\n",macPort,status);
+            } 
+
         }
         else
         {
